Listar o histórico de entregas de um webhook
curl --request GET \
--url https://slc.sandbox.lerian.net/webhooks/{id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://slc.sandbox.lerian.net/webhooks/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://slc.sandbox.lerian.net/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"attemptNumber": 2,
"createdAt": "2026-06-15T07:50:00Z",
"deliveredAt": "2026-06-15T07:50:00Z",
"eventId": "018f8a3e-7d1b-7a2c-8b6e-9f0a1c2d3e4f",
"eventType": "operation.settled",
"httpStatus": 200,
"id": "0190b5a0-0000-7000-8000-0000000000dd",
"nextRetryAt": "2026-06-15T08:00:00Z",
"responseTimeMs": 142,
"state": "DELIVERED",
"subscriptionId": "018f8a3e-4b2c-7c1a-9e5d-2f6a1b3c4d5e"
}
]
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Listar o histórico de entregas de um webhook
Retorna as tentativas de entrega paginadas (incluindo novas tentativas) de uma assinatura, com escopo no tenant da requisição. Cada item carrega sua chave de partição created_at para que um reenvio posterior possa endereçar a linha particionada.
GET
/
webhooks
/
{id}
/
deliveries
Listar o histórico de entregas de um webhook
Autorizações
JWT bearer token issued by the identity provider.
Parâmetros de caminho
Subscription id (UUID).
Exemplo:
"0190b5a0-0000-7000-8000-0000000000aa"
Parâmetros de consulta
Page size (default 50). A negative or non-numeric value is rejected with 400.
Exemplo:
"50"
Resposta
OK
The subscription's delivery attempts (including retries).
Show child attributes
Show child attributes
Esta página foi útil?

